/**
 * returns all the possible neutral mass for a defined experimental (targetMass) mass
 */
export class TargetMassCache {
    /**
     * @param {number} targetMass
     * @param {Array} possibilities
     * @param {object} [options={}]
     * @param {boolean} [options.allowNeutral=false]
     * @param {number} [options.charge=0]
     * @param {number} [options.precision=100]
     * @param {object} [options.filter={}]
     * @param {number} [options.filter.minCharge=Number.MIN_SAFE_INTEGER]
     * @param {number} [options.filter.maxCharge=Number.MAX_SAFE_INTEGER]
     * @returns
     */
    constructor(targetMass: number, possibilities: any[], options?: {
        allowNeutral?: boolean | undefined;
        charge?: number | undefined;
        precision?: number | undefined;
        filter?: {
            minCharge?: number | undefined;
            maxCharge?: number | undefined;
        } | undefined;
    });
    minCharge: number | undefined;
    maxCharge: number | undefined;
    data: {
        charge: number;
        minMass: number;
        maxMass: number;
    }[] | undefined;
    getMinMass(charge: any): number;
    getMaxMass(charge: any): number;
}
//# sourceMappingURL=TargetMassCache.d.ts.map