/**
 * @param {number}        targetMass - Monoisotopic mass
 * @param {object}        [options={}]
 * @param {number}        [options.maxIterations=10000000] - Maximum number of iterations
 * @param {boolean}       [options.allowNeutral=true]
 * @param {boolean}       [options.uniqueMFs=true]
 * @param {number}        [options.limit=1000] - Maximum number of results
 * @param {string}        [options.ionizations=''] - string containing a comma separated list of modifications
 * @param {string|{mf:string,min:number,max:number}[]}        [options.ranges='C0-100 H0-100 O0-100 N0-100'] - range of mfs to search
 * @param {number}        [options.precision=100] - Allowed mass range based on precision
 * @param {import('mf-matcher').MSEMFilterOptions}        [options.filter={}]
 * @returns {object}
 */
export function findMFsSync(targetMass: number, options?: {
    maxIterations?: number | undefined;
    allowNeutral?: boolean | undefined;
    uniqueMFs?: boolean | undefined;
    limit?: number | undefined;
    ionizations?: string | undefined;
    ranges?: string | {
        mf: string;
        min: number;
        max: number;
    }[] | undefined;
    precision?: number | undefined;
    filter?: import("mf-matcher").MSEMFilterOptions | undefined;
}): object;
//# sourceMappingURL=findMFsSync.d.ts.map